
import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/website/consult/${url}`, ...arg)
/**
 * 咨询控制器
 */
export default {
	// 获取分页
	page(data) {
		return request('page', data, 'get')
	},
	// 获取列表
	list(data) {
		return request('list', data, 'get')
	},
	// 处理信息
	save(data) {
		return request('handle', data)
	},
	// 删除
	deleteData(data) {
		return request('delete', data)
	},
	// 获取详情
	detail(data) {
		return request('detail', data, 'get')
	},
}
